aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-02-12 10:08:43 +1300
committerTom Ryder <tom@sanctum.geek.nz>2018-02-12 10:08:43 +1300
commit48a6edc1b88c6066d44bbd42a9e706bede570518 (patch)
tree8d72f905052c414cd20e552fdabc1d8dd43062c9
parentMerge branch 'release/v0.27.0' (diff)
parentBump VERSION (diff)
downloaddotfiles-48a6edc1b88c6066d44bbd42a9e706bede570518.tar.gz
dotfiles-48a6edc1b88c6066d44bbd42a9e706bede570518.zip
Merge branch 'release/v0.28.0'v0.28.0
* release/v0.28.0: Bump VERSION Update Vim plugin submodules Add missing options terminator to Makefile Suppress error messages in td(1df)
-rw-r--r--Makefile2
-rw-r--r--VERSION4
-rw-r--r--bin/td.sh4
m---------vim/bundle/repeat0
m---------vim/bundle/unimpaired0
5 files changed, 5 insertions, 5 deletions
diff --git a/Makefile b/Makefile
index 70209907..3b0be55a 100644
--- a/Makefile
+++ b/Makefile
@@ -516,7 +516,7 @@ install-vim-after-ftplugin:
mkdir -p $(HOME)/.vim/after/ftplugin
for type in vim/after/ftplugin/* ; do \
mkdir -p -- $(HOME)/.vim/after/ftplugin/"$${type##*/}" ; \
- cp -p "$$type"/* $(HOME)/.vim/after/ftplugin/"$${type##*/}" ; \
+ cp -p -- "$$type"/* $(HOME)/.vim/after/ftplugin/"$${type##*/}" ; \
done
install-vim-after-indent:
diff --git a/VERSION b/VERSION
index 41c18b26..78300d74 100644
--- a/VERSION
+++ b/VERSION
@@ -1,2 +1,2 @@
-tejr dotfiles v0.27.0
-Thu Feb 1 05:03:14 UTC 2018
+tejr dotfiles v0.28.0
+Sun Feb 11 21:07:15 UTC 2018
diff --git a/bin/td.sh b/bin/td.sh
index eaae1fd6..fb5610c5 100644
--- a/bin/td.sh
+++ b/bin/td.sh
@@ -15,7 +15,7 @@ if ! command -v isgr >/dev/null 2>&1 ; then
printf >&2 'isgr: command not found\n'
exit 1
fi
-isgr || git init || exit
+isgr || git init --quiet || exit
# If the to-do file doesn't exist yet, create it
[ -e "$file" ] || touch -- "$file" || exit
@@ -27,5 +27,5 @@ isgr || git init || exit
git add -- "$file"
# If there are changes to commit, commit them
-git diff-index --quiet HEAD ||
+git diff-index --quiet HEAD 2>/dev/null ||
git commit --message 'Changed by td(1df)' --quiet
diff --git a/vim/bundle/repeat b/vim/bundle/repeat
-Subproject 070ee903245999b2b79f7386631ffd29ce9b8e9
+Subproject 8106e142dfdc278ff3eaaadd7b362ad7949d435
diff --git a/vim/bundle/unimpaired b/vim/bundle/unimpaired
-Subproject 3a7759075cca5b0dc29ce81f2747489b6c8e36a
+Subproject 1ac95a86c0facb1be8abec924cf79fd642cec38